Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec
Class ECFieldElement.Fp

    java.lang.Object
      |
      +--org.bouncycastle.math.ec.ECFieldElement
            |
            +--org.bouncycastle.math.ec.ECFieldElement.Fp

All Implemented Interfaces:
  ECConstants

Enclosing class:
  ECFieldElement

public static class ECFieldElement.Fp
extends ECFieldElement

Nested Class Summary

Nested classes inherited from class org.bouncycastle.math.ec.ECFieldElement
`ECFieldElement.Fp`

Field Summary

Fields inherited from interface org.bouncycastle.math.ec.ECConstants
`ONE, ZERO`

Constructor Summary
`ECFieldElement.Fp(java.math.BigInteger q, java.math.BigInteger x)`

Method Summary
`ECFieldElement` | `add(ECFieldElement b)`
`ECFieldElement` | `divide(ECFieldElement b)`
`java.lang.String` | `getFieldName()` return the field name for this field.
`ECFieldElement` | `invert()`
`ECFieldElement` | `multiply(ECFieldElement b)`
`ECFieldElement` | `negate()`
`ECFieldElement` | `sqrt()` return a sqrt root - the routine verifies that the calculation returns the right value - if none exists it returns null.
`ECFieldElement` | `square()`
`ECFieldElement` | `subtract(ECFieldElement b)`

Methods inherited from class org.bouncycastle.math.ec.ECFieldElement
`equals, toBigInteger`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECFieldElement.Fp

    public ECFieldElement.Fp(java.math.BigInteger q,
                             java.math.BigInteger x)

Method Detail

### getFieldName

    public java.lang.String getFieldName()

  return the field name for this field.

  Specified by:
    `getFieldName` in class `ECFieldElement`
  Returns:
    the string "Fp".

### add

    public ECFieldElement add(ECFieldElement b)

  Specified by:
    `add` in class `ECFieldElement`

### subtract

    public ECFieldElement subtract(ECFieldElement b)

  Specified by:
    `subtract` in class `ECFieldElement`

### multiply

    public ECFieldElement multiply(ECFieldElement b)

  Specified by:
    `multiply` in class `ECFieldElement`

### divide

    public ECFieldElement divide(ECFieldElement b)

  Specified by:
    `divide` in class `ECFieldElement`

### negate

    public ECFieldElement negate()

  Specified by:
    `negate` in class `ECFieldElement`

### square

    public ECFieldElement square()

  Specified by:
    `square` in class `ECFieldElement`

### invert

    public ECFieldElement invert()

  Specified by:
    `invert` in class `ECFieldElement`

### sqrt

    public ECFieldElement sqrt()

  return a sqrt root - the routine verifies that the calculation returns the right value - if none exists it returns null.

  Specified by:
    `sqrt` in class `ECFieldElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD